Setup latest master on osx in conda env

Installing and setting up FaceSwap


Forum rules

Read the FAQs and search the forum before posting a new topic.

Please mark any answers that fixed your problems so others can find the solutions.

Locked
User avatar
kmdrfx
Posts: 1
Joined: Sat Nov 16, 2019 4:02 pm

Setup latest master on osx in conda env

Post by kmdrfx »

Hi, I searched the forum first, but couldn't find anything on this error.
I ran the setup and all dependencies seem to be installed fine, except for one error:

Code: Select all

ERROR: thinc 6.12.1 has requirement wrapt<1.11.0,>=1.10.0, but you'll have wrapt 1.11.2 which is incompatible.

The setup still tells me everything is fine. When trying to run python faceswap.py gui though I get:

Code: Select all

Setting Faceswap backend to AMD
11/16/2019 17:07:36 INFO     Log level set to: INFO
Traceback (most recent call last):
  File "faceswap.py", line 36, in <module>
    ARGUMENTS.func(ARGUMENTS)
  File "/Users/swapper/workspace/faceswap/lib/cli.py", line 121, in execute_script
    plaidml_found = self.setup_amd(arguments.loglevel)
  File "/Users/swapper/workspace/faceswap/lib/cli.py", line 156, in setup_amd
    import plaidml  # noqa pylint:disable=unused-import
  File "/Users/swapper/.local/lib/python3.7/site-packages/plaidml/__init__.py", line 50, in <module>
    import plaidml.settings
  File "/Users/swapper/.local/lib/python3.7/site-packages/plaidml/settings.py", line 33, in <module>
    _setup_config('PLAIDML_EXPERIMENTAL_CONFIG', 'experimental.json')
  File "/Users/swapper/.local/lib/python3.7/site-packages/plaidml/settings.py", line 30, in _setup_config
    'Could not find PlaidML configuration file: "{}".'.format(filename))
plaidml.exceptions.PlaidMLError: Could not find PlaidML configuration file: "experimental.json".

I am running OSX v.10.14.5.

I am thankfull for any hints!


Locked